require_relative "die"
require_relative "player"
require_relative "card"

module CardGame
    module GameTurn 
        def self.turn(players)
            die = Die.new(players.length-1)
            random_pick = die.roll
            players.each do |player|
                Cards.random_generator { |cards| 
                    cards.each do |card|
                        player.add_card(Card.new(card.name,card.health,card.damage))
                    end
                }
               player.current_card_to_play 
            end
            players.each do |player|
                player.got_attack?(players[random_pick])
            end
            
            players.each do |player|
                case player.score
                when 100..199
                    player.set_rank(1)
                when 200..299
                    player.set_rank(2)
                when 300..399
                    player.set_rank(3)
                when 400..499
                    player.set_rank(4)
                when 500..599
                    player.set_rank(5)
                when 600..699
                    player.set_rank(6)
                when 700..799
                    player.set_rank(7)
                when 800..899
                    player.set_rank(8)
                when 900..999
                    player.set_rank(9)
                when 1000..1099
                    player.set_rank(10)       
                end
            end
            
        end
    end
end